using System;

namespace OutputServiceTSDB.Models
{
    public class ApiObject
    {
        public string Tag { get; set; }

        private double _probability;

        public double Probability
        { get => _probability;
            set
            {
                if (value > 1.0 || value < 0.0)
                    throw new ArgumentOutOfRangeException(
                   $"{nameof(value)} must be between 0 and 1.");
                else
                    _probability = value;
            }
        }
    }
}
